## org.apache.lucene.util
Class UnicodeUtil.UTF16Result

    java.lang.Object
      org.apache.lucene.util.UnicodeUtil.UTF16Result

Enclosing class:
  UnicodeUtil

    public static final class UnicodeUtil.UTF16Result

extends java.lang.Object

Field Summary
`int` `length`
`int[]` `offsets`
`char[]` `result`

Constructor Summary
`UnicodeUtil.UTF16Result()`

Method Summary
`void` `copyText(UnicodeUtil.UTF16Result other)`
`void` `setLength(int newLength)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### result

    public char[] result

### offsets

    public int[] offsets

### length

    public int length

Constructor Detail

### UnicodeUtil.UTF16Result

    public UnicodeUtil.UTF16Result()

Method Detail

### setLength

    public void setLength(int newLength)

### copyText

    public void copyText(UnicodeUtil.UTF16Result other)

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.